Commit 22573fbc authored by free-pmx's avatar free-pmx
Browse files

v0.1.2

parent f1d64e51
Loading
Loading
Loading
Loading
+1 −1
Original line number Diff line number Diff line
Package: free-pmx-no-subscription
Version: 0.1.0
Version: 0.1.2
Section: utils
Priority: optional
Architecture: all
+2 −3
Original line number Diff line number Diff line
@@ -96,13 +96,12 @@ done_count=0
todo_count=$(( setup_pve + setup_pbs + setup_ceph ))

if [[ $todo_count -gt 0 ]]; then

    if [[ -z $VERSION_CODENAME ]]; then
        echo "VERSION_CODENAME not set, aborting."
        exit 1
    fi

    if [[ $setup_ceph == 1 ]] && [[ -z $FREE_PMX_CEPH ]]; then
    if [[ $setup_ceph -eq 1 ]] && [[ -z $FREE_PMX_CEPH ]]; then
        setup_ceph=0
        echo "FREE_PMX_CEPH not configured, skipping."
    fi
@@ -114,7 +113,7 @@ if [[ $todo_count -gt 0 ]]; then

    echo "Completed total $done_count of $todo_count."

    $_repo_key_check "$VERSION_CODENAME" || { echo "Failed key check." >&2; status=1; }
    $_repo_key_check "$VERSION_CODENAME" || { echo "Failed Proxmox release key check." >&2; status=1; }
else
    echo "Nothing to be set up."
fi
+1 −1
Original line number Diff line number Diff line
@@ -22,7 +22,7 @@ else
    fi
fi

gpg --no-options --show-keys "$repo_key" 2> /dev/null || { echo "Unable to display key details." >&2; status=1; }
GNUPGHOME=$(mktemp -d /tmp/gnupg-XXXXXX) gpg --show-keys "$repo_key" 2> /dev/null || { echo "Unable to display key details." >&2; status=1; }
sha512sum "$repo_key" 2> /dev/null | awk '{print "sha512 " $1}' || { echo "Unable to display checksum." >&2; status=1; }

exit $status
 No newline at end of file
Loading